///////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2003 C++ to C Made by PC32 Lsshi
// All rights reserved. 

///////////////////////////////////////////////////////////////////////////
#ifndef _PORTMAP_H_
#define _PORTMAP_H_

typedef struct _PortMap
{
	
		char m_PortMappingEnabled;
		long int m_PortMappingLeaseDuration;
		char *m_RemoteHost;
		char *m_ExternalIP;
		int m_ExternalPort;
		int m_InternalPort;
		char *m_PortMappingProtocol;
		char *m_InternalClient;
		char *m_PortMappingDescription;
		
		void (*PortMap_Void_Init)(struct _PortMap* pMap);
		void (*PortMap_Void_Destroy)(struct _PortMap* pMap);
		
				
		
}PortMap;


void _PortMap_Void_Init(struct _PortMap* pMap);
void _PortMap_Void_Destroy(struct _PortMap* pMap);
		
#endif
