#ifndef _NETIF_MGMT_UTIL_H_
#define _NETIF_MGMT_UTIL_H_

#include "netif_mgmt.h"

int netif_get_iflist(char *buf, int size);
int netif_get_info(char *name, struct netif_rule_user *urule );
int netif_get_whole_info(char *name, struct netif_rule_user *urule);
int netif_update_status(char *name, unsigned short n, unsigned short status );
int netif_get_link(
	char *name, char *pppname, uint16_t *type, 
	uint32_t *ip, uint32_t *gw1, uint32_t *gw2, uint32_t *mask, 
	uint16_t *status1, uint16_t *status2, 
	uint64_t *bw_up, uint64_t *bw_down, 
	uint32_t *testip, uint16_t *weight
);
int netif_set_link(
	int op_code, char *phyifname, 			/* op_code and if name */
	char *pppname, uint16_t type,			/* NETIF_OP_LINK */
	uint16_t status1, uint16_t status2, uint16_t param,		/* NETIF_OP_STATUS */
	uint32_t gw1, uint32_t gw2,				/* NETIF_OP_GW */
	uint64_t bw_up, uint64_t bw_down,		/* NETIF_OP_BW */
	uint32_t testip,						/* NETIF_OP_CHECK */
	uint16_t weight							/* NETIF_OP_WEIGHT */
);
int netif_set_lb(uint16_t operation, uint16_t lb_algo);

#endif
