#ifndef _LINUX_STDDEF_H
#define _LINUX_STDDEF_H

#undef NULL
#if defined(__cplusplus)
#define NULL 0
#else
#define NULL ((void *)0)
#endif

#undef offsetof
#define offsetof(TYPE, MEMBER) ((size_t) &((TYPE *)0)->MEMBER)

#endif

/* Below three if sequences added for glibc, 2001-11-29 */
#if defined(__need_size_t) && !defined(__size_t_defined_brecis)
#define __size_t_defined_brecis
typedef unsigned int size_t;
#endif

#if defined(__need_NULL) && !defined(__NULL_defined_brecis) && !defined(NULL)
#define __NULL_defined_brecis
#define NULL 0
#endif

#if defined(__need_wchar_t) && !defined(__wchar_t_defined_brecis)
#define __wchar_t_defined_brecis
//typedef unsigned short wchar_t;
#endif
