///////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2003 C++ to C Made by PC32 Lsshi
// All rights reserved. 

///////////////////////////////////////////////////////////////////////////
#ifndef _IPCON_H_
#define _IPCON_H_

typedef struct _IPCon
{
		char *m_ifname;		/* External interface name */
		//char Ext_IP[16];
		unsigned int now_out_ip;
		unsigned int old_out_ip;
		
		void (*IPCon_Void_Init)(struct _IPCon* pIPCon);
		void (*IPCon_Init)(struct _IPCon* pIPCon,char *ifname);
		void (*IPCon_Void_Destroy)(struct _IPCon* pIPCon);
		
		int (*IPCon_SetIfName)(struct _IPCon* pIPCon,char * ifname);
		char * (*IPCon_GetIfName)(struct _IPCon* pIPCon);
		char * (*IPCon_GetIpAddrStr)(struct _IPCon* pIPCon);
		int (*IPCon_IsIfUp)(struct _IPCon* pIPCon);
		char * (*IPCon_GetIfStatStr)(struct _IPCon* pIPCon);
		
		
}IPCon;


void _IPCon_Void_Init(struct _IPCon* pIPCon);
void _IPCon_Init(struct _IPCon* pIPCon,char *ifname);
void _IPCon_Void_Destroy(struct _IPCon* pIPCon);

int _IPCon_SetIfName(struct _IPCon* pIPCon,char * ifname);
char * _IPCon_GetIfName(struct _IPCon* pIPCon);
char * _IPCon_GetIpAddrStr(struct _IPCon* pIPCon);
int _IPCon_IsIfUp(struct _IPCon* pIPCon);
char * _IPCon_GetIfStatStr(struct _IPCon* pIPCon);

		
#endif
