///////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2003 C++ to C Made by PC32 Lsshi
// All rights reserved. 

///////////////////////////////////////////////////////////////////////////
#ifndef _GATEWAY_H_
#define _GATEWAY_H_ 

#include <pthread.h>
#include "gate.h"

#define SYS_DEBUG(flag, format, args...) \
		printf(format , ## args)
		
extern pthread_mutex_t DevMutex;

extern Gate gate;


#define PORT_LIST	gate.m_list.m_pmap
#define PORT_ITEM	((PortMap*)node->item)

#define X_NAME		"ASUS"
#define MACHINE_NAME	"AX-112W"

#define INIT_PORT          2869
#define INIT_DESC_DOC      "gatedesc"
#define INIT_CONF_DIR      "/etc/linuxigd/"

//#define GATE_SERVICE_SERVCOUNT  3
#define GATE_SERVICE_OSINFO             0
#define GATE_SERVICE_CONFIG             1
#define GATE_SERVICE_CONNECT    2


#define GATE_OSINFO_VARCOUNT    4
#define GATE_OSINFO_MAJORVER    0
#define GATE_OSINFO_MINORVER    1
#define GATE_OSINFO_BUILDNUM    2
#define GATE_OSINFO_PCNAME              3

#define CONFIG_VARCOUNT    4
#define CONFIG_COLOR               0

#define MAX_VAL_LEN 32

/* This should be the maximum VARCOUNT from above */
#define MAXVARS OSINFO_VARCOUNT

#define IPCHAINS        "/sbin/ipchains"

#endif
