#ifndef _NAT_H
#define _NAT_H

struct Enable_nat
{
	char interface[8];//"ppp0"
};

struct MTCPMSS
{
	char interface[8];//"ppp0"
};

struct winDMZ
{
	//char interface[8];//"eth0"
	//char out_ip[16];
	char ip[16];
}__attribute__ ((aligned (4)));

struct Virtual_Server
{
	//char interface[8];//"eth0"
	char proto[8];//"tcp","udp","both"
	char sport[8];//start port
	char eport[8];//end port
	//char out_ip[16];
	char ip[16];
}__attribute__ ((aligned (4)));

struct Defense
{
	char mrate[48];//  xxx/minute xxx/second  xxx/hour xxx/day
}__attribute__ ((aligned (4)));

struct Hide
{
	char mproto[8];
}__attribute__ ((aligned (4)));

struct Alt_Port
{
	char mport[8];
}__attribute__ ((aligned (4)));

struct Upnp_Port
{
	char Proto[4];
	
	char ExtIP[16];
	int ExtPort;
	
	char IntIP[16];
	int IntPort;
}__attribute__ ((aligned (4)));


int enable_nat(struct Enable_nat *men);
int disable_nat();

int Add_DMZ(struct winDMZ *dmz);
int Del_DMZ(struct winDMZ *dmz);

int Add_virtual_server(struct Virtual_Server *vs);
int Del_virtual_server(struct Virtual_Server *vs);

int Add_TCPMSS();
int Del_TCPMSS();

int Add_Defense(struct Defense *mdf);
int Del_Defense(struct Defense *mdf);

int Add_Hide();
int Del_Hide();

int Reject_HTTP_Server();

int Add_Port(struct Alt_Port *wport);
int Del_Port(struct Alt_Port *wport);

int Add_Upnp_Port(struct Upnp_Port *uport);
int Del_Upnp_Port(struct Upnp_Port *uport);

#if 0
int Add_In_Port();
int Del_In_Port();
#endif

unsigned long GetLocalIP(char *interface);

int Add_FW();
int Del_FW();
#endif
