///////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2003 C++ to C Made by PC32 Lsshi
// All rights reserved. 

///////////////////////////////////////////////////////////////////////////

#ifndef _PMLIST_H_
#define _PMLIST_H_

#include "portmap.h"
#include "portlist.h"
//#include <list>
//#include <syslog.h>
struct Upnp_Port
{
	char Proto[4];

	char RemoteIP[16];
	char ExtIP[16];
	int ExtPort;
	
	char IntIP[16];
	int IntPort;
}__attribute__ ((aligned (4)));


typedef struct _PortMapList
{
	
		void (*PortMapList_Void_Init)(struct _PortMapList* plist);
		void (*PortMapList_Void_Destroy)(struct _PortMapList* plist);

		int (*PortMapAdd)(char *RemoteHost, char *Proto, char *ExtIP, int ExtPort,
				char *IntIP, int IntPort, int Enabled, char *Desc, int LeaseDuration);
				
		int (*PortMapDelete)(char *RemoteIP, char  *Proto, int ExtPort);

//Add or Del iptables rules

		int (*addPortForward)(char *RemoteIP, char *Proto, char *ExtIP, int ExtPort, char *IntIP,
			 int IntPort, int Enabled, char *Desc);
		int (*delPortForward)(char *RemoteIP, char *Proto, char *ExtIP, int ExtPort, char* IntIP, int IntPort);
		

		//list <PortMap *> m_pmap;
		PortLinkedList	m_pmap;
		
}PortMapList;


void _PortMapList_Void_Init(struct _PortMapList* plist);
void _PortMapList_Void_Destroy(struct _PortMapList* plist);

int _PortMapAdd(char *RemoteHost, char *Proto, char *ExtIP, int ExtPort,
				char *IntIP, int IntPort, int Enabled, char *Desc, int LeaseDuration);
				
int _PortMapDelete(char *RemoteIP, char  *Proto, int ExtPort);

//Add or Del iptables rules

int _addPortForward(char *RemoteIP, char *Proto, char *ExtIP, int ExtPort, char *IntIP,
			 int IntPort, int Enabled, char *Desc);
int _delPortForward(char *RemoteIP, char *Prot, char *ExtIP, int ExtPort, char* IntIP, int IntPort);

		
#endif
