////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2003 C++ to C Made by PC32 Lsshi
// All rights reserved. 

///////////////////////////////////////////////////////////////////////////

#include "portmap.h"
#include <string.h>
#include <stdio.h>
#include <malloc.h>

#define _UPNP_DEBUG(x)	x

void _PortMap_Void_Destroy(struct _PortMap* pMap);

void Port_Free_Func(void* arg)
{
	_PortMap_Void_Destroy((struct _PortMap*)arg);
	
	return;
	
}


void C_PortMap_Init(struct _PortMap* pMap)
{
	
	pMap->PortMap_Void_Init=_PortMap_Void_Init;
	pMap->PortMap_Void_Destroy=_PortMap_Void_Destroy;
	
	
	
	
}

void _PortMap_Void_Init(struct _PortMap* pMap)
{

}

void _PortMap_Void_Destroy(struct _PortMap* pMap)
{
		_UPNP_DEBUG(printf("%s %s %d\n",__FILE__,__FUNCTION__,__LINE__));
        if (pMap->m_RemoteHost)
		{
            free(pMap->m_RemoteHost);
			pMap->m_RemoteHost=NULL;
		}
        _UPNP_DEBUG(printf("%s %s %d\n",__FILE__,__FUNCTION__,__LINE__));
        if (pMap->m_ExternalIP)
		{
            free(pMap->m_ExternalIP);
			pMap->m_ExternalIP=NULL;
		}
        _UPNP_DEBUG(printf("%s %s %d\n",__FILE__,__FUNCTION__,__LINE__));
        if (pMap->m_InternalClient)
		{
            free(pMap->m_InternalClient);
			pMap->m_InternalClient=NULL;
		}
        _UPNP_DEBUG(printf("%s %s %d\n",__FILE__,__FUNCTION__,__LINE__));
        if (pMap->m_PortMappingDescription)
         {
		       free(pMap->m_PortMappingDescription);
			   pMap->m_PortMappingDescription=NULL;
		}
        _UPNP_DEBUG(printf("%s %s %d\n",__FILE__,__FUNCTION__,__LINE__));
		if (pMap->m_PortMappingProtocol)
		{
			free(pMap->m_PortMappingProtocol);
			pMap->m_PortMappingProtocol=NULL;
		}
	_UPNP_DEBUG(printf("%s %s %d\n",__FILE__,__FUNCTION__,__LINE__));
		
	return ;
}

